package com.bonus.core.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("位置信息表")
public class CustPlaceVO {
   @ApiModelProperty("位置id")
   private Long placeId;
   @ApiModelProperty("位置编号")
   private String placeNum;
   @ApiModelProperty("位置名称")
   private String placeName;
   @ApiModelProperty("位置级别")
   private Integer placeLevel;
   @ApiModelProperty("是否是最后一级 1 是 2 否")
   private Integer ifLast;
   @ApiModelProperty("上级位置id")
   private Long superId;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("位置图片路径")
   private String placeUrl;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("特殊菜谱id")
   private Long specialRecipeId;
   @ApiModelProperty("通用菜谱id")
   private Long commonRecipeId;
   @ApiModelProperty("备注")
   private String remarks;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("是否有子级，1：有；0：没有")
   private boolean hasChildren;
   @ApiModelProperty("绑定人员信息")
   private CustInfoHealthMacVO custInfo;

   public int getHasChildren() {
      return this.hasChildren ? 1 : 0;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceNum() {
      return this.placeNum;
   }

   public String getPlaceName() {
      return this.placeName;
   }

   public Integer getPlaceLevel() {
      return this.placeLevel;
   }

   public Integer getIfLast() {
      return this.ifLast;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public String getPlaceUrl() {
      return this.placeUrl;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getSpecialRecipeId() {
      return this.specialRecipeId;
   }

   public Long getCommonRecipeId() {
      return this.commonRecipeId;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public CustInfoHealthMacVO getCustInfo() {
      return this.custInfo;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceNum(final String placeNum) {
      this.placeNum = placeNum;
   }

   public void setPlaceName(final String placeName) {
      this.placeName = placeName;
   }

   public void setPlaceLevel(final Integer placeLevel) {
      this.placeLevel = placeLevel;
   }

   public void setIfLast(final Integer ifLast) {
      this.ifLast = ifLast;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPlaceUrl(final String placeUrl) {
      this.placeUrl = placeUrl;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setSpecialRecipeId(final Long specialRecipeId) {
      this.specialRecipeId = specialRecipeId;
   }

   public void setCommonRecipeId(final Long commonRecipeId) {
      this.commonRecipeId = commonRecipeId;
   }

   public void setRemarks(final String remarks) {
      this.remarks = remarks;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setHasChildren(final boolean hasChildren) {
      this.hasChildren = hasChildren;
   }

   public void setCustInfo(final CustInfoHealthMacVO custInfo) {
      this.custInfo = custInfo;
   }




}
